Subject: bug#1705: 23.0.60; parallel build failure: `mh-e' was not provided

From: Stefan Monnier <[email-masked]>
Date: Tue, 06 Jan 2009 10:00:59 -0500

>> >> Personally, I've hacked my Emacs so that when byte-compiling files,
>> >> `require'd files get loaded from the .el in preference to the .elc file
>> >> if it's more recent.
>> > I don't think this is TRT in general.
>> Neither is the preference of .elc even if it's older.
> I wasn't arguing for that,

I know.

> I was arguing for adding dependencies to
> lisp/Makefile.in.  That is always TRT.

Except when there are circular dependencies, which (as mentioned) do
exist in fairly large quantities in Emacs.

        Stefan